Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis
Class NormalizeCharMap

    java.lang.Object
      org.apache.lucene.analysis.NormalizeCharMap

    public class NormalizeCharMap

extends Object

Holds a map of String input to String output, to be used with `MappingCharFilter`.

Constructor Summary
`NormalizeCharMap()`

Method Summary
`void` | `add(String singleMatch, String replacement)` Records a replacement to be applied to the inputs stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NormalizeCharMap

    public NormalizeCharMap()

Method Detail

### add

    public void add(String singleMatch,
                    String replacement)

  Records a replacement to be applied to the inputs stream. Whenever `singleMatch` occurs in the input, it will be replaced with `replacement`.

  Parameters:
    `singleMatch` - input String to be replaced
    `replacement` - output String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD